Hi all.

require 'iconv'
max_length = 513
str = ' ' * max_length 
Iconv.new('utf-8', 'windows-1252').iconv(str)

Error:in `Iconv#iconv': " " (Iconv::BrokenLibrary)

If max_length <= 512, all is OK.

1. Is it normal?
2. Is it documented somewhere?

Thanks.

V.